%define dist URI
Name: perl-%dist
Version: 1.36
Release: alt1

Summary: A Perl interface for URI objects
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

%add_findreq_skiplist */isbn.pm

# Automatically added by buildreq on Sat Apr 12 2008
BuildRequires: perl-Storable perl-devel perl-libnet

%description
This package contains the URI.pm module with friends.  The module
implements the URI class.  Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	Changes README
	%perl_vendor_privlib/URI.pm
%dir	%perl_vendor_privlib/URI
	%perl_vendor_privlib/URI/*.pm
%dir	%perl_vendor_privlib/URI/file
	%perl_vendor_privlib/URI/file/*.pm
%dir	%perl_vendor_privlib/URI/urn
	%perl_vendor_privlib/URI/urn/*.pm

%changelog
* Sat Apr 12 2008 Alexey Tourbin <at@altlinux.ru> 1.36-alt1
- 1.35 -> 1.36

* Sun Mar 02 2008 Alexey Tourbin <at@altlinux.ru> 1.35-alt3
- decoupled %dist-ImpliedBase

* Sun Dec 19 2004 Alexey Tourbin <at@altlinux.ru> 1.35-alt2
- rebuild in new environment
- manual pages not packaged (use perldoc)

* Mon Nov 08 2004 Alexey Tourbin <at@altlinux.ru> 1.35-alt1
- 1.34 -> 1.35
- alt-utf8.patch merged upstream (cpan #7586)

* Wed Oct 06 2004 Alexey Tourbin <at@altlinux.ru> 1.34-alt1
- 1.33 -> 1.34

* Sun Sep 26 2004 Alexey Tourbin <at@altlinux.ru> 1.33-alt1
- 1.30 -> 1.33
- patched not to use Encode for utf8 (cpan #7586)

* Sat Apr 24 2004 Alexey Tourbin <at@altlinux.ru> 1.30-alt2
- packaged %dist-ImpliedBase-0.05 here (laziness is virtue)

* Wed Jan 14 2004 Alexey Tourbin <at@altlinux.ru> 1.30-alt1
- 1.30

* Mon Dec 01 2003 Alexey Tourbin <at@altlinux.ru> 1.28-alt1
- 1.28

* Fri Oct 31 2003 Alexey Tourbin <at@altlinux.ru> 1.27-alt1
- 1.27

* Fri Oct 03 2003 Alexey Tourbin <at@altlinux.ru> 1.26-alt1
- 1.26

* Thu Aug 21 2003 Alexey Tourbin <at@altlinux.ru> 1.25-alt1
- 1.25

* Fri Jul 25 2003 Alexey Tourbin <at@altlinux.ru> 1.24-alt1
- 1.24

* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 1.23-alt1
- 1.23
- don't exclude isbn.pm, rather use _findreq_skiplist

* Fri Dec 20 2002 Alexey Tourbin <at@altlinux.ru> 1.22-alt2
- isbn support disabled
- buildreq applied
- more %%docs

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.22-alt1
- 1.22

* Wed Oct 23 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt2
- rebuilt for perl-5.8 with new rpm macros

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.18-alt1
- 1.18

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.12-alt1
- 1.12 . Rebuilt with perl-5.6.1

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.10-ipl1mdk
- Updated:
  + version 1.10
- Changed:
  + adapted spec for Sisyphus

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.07-1mdk_mhz
- new version
- redid filelist

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
